function totproj = gtGetTotNumberOfImages(parameters, det_index)

    if (~exist('det_index', 'var') || isempty(det_index))
        det_index = 1;
    end

    switch(lower(parameters.acq(det_index).type))
        case '360degree'
            totproj = 2 * parameters.acq(det_index).nproj;
        case '180degree'
            totproj = parameters.acq(det_index).nproj;
        otherwise
            error('ACQ:invalid_parameter', ...
                'Unknown type of scan. Check parameters.acq.type!');
    end
end