function xml_conf = gtConfLoadXML()
% FUNCTION xml_conf = gtConfLoadXML()
% Loads the conf.xml file
%

    if (~usejava('jvm'))
        error('gtConfLoadXML:environment_error', ...
            'Cannot load xml conf if java is not running')
    end

    global GT_MATLAB_HOME

    xml_conf = xml_read(fullfile(GT_MATLAB_HOME, 'conf.xml'));
end
