function shifts = gtFwdSimComputeVolumeShifts(proj, parameters, vol_size)
    if (~exist('vol_size', 'var') || isempty(vol_size))
        vol_size = [proj.vol_size_y, proj.vol_size_x, proj.vol_size_z];
    end
    shifts = round((parameters.acq.bb([3 3 4]) - vol_size) / 2 + proj.centerpix) + 1;
end
