function proj = gtFwdSimProjDefinition(type, num_projs)
    proj = struct( ...
        'stack', [], ...
        'num_rows', 0, ...
        'num_cols', 0, ...
        'bl', [], ...
        'vol_size_x', 0, ...
        'vol_size_y', 0, ...
        'vol_size_z', 0, ...
        'centerpix', zeros(1, 3), ...
        'ondet', zeros(0, 1), ...
        'included', zeros(0, 1), ...
        'selected', false(0, 1) );

    if (exist('type', 'var') && ~isempty(type) && strcmpi(type, 'fwd_sim'))
        proj.geom = zeros(0, 12);
        proj.geom_full = zeros(0, 12);
        proj.geom_abs = zeros(0, 12);
    end

    if (exist('num_projs', 'var') && ~isempty(num_projs))
        proj(2:num_projs) = proj;
    end
end
