function C = gtMathsMatrixProduct(A, B)
    [size_A(1), size_A(2), size_A(3)] = size(A);
    [size_B(1), size_B(2), size_B(3)] = size(B);

    A = reshape(A, size_A(1), size_A(2), 1, size_A(3));
    B = reshape(B, 1, size_B(1), size_B(2), size_B(3));

    C = bsxfun(@times, A, B);
    C = sum(C, 2);
    C = reshape(C, size_A(1), size_B(2), size_A(3));
end
