function omega_step = gtGetOmegaStepDeg(parameters, det_ind)
    if (~exist('det_ind', 'var') || isempty(det_ind))
        det_ind = 1;
    end

    if (isfield(parameters.detgeo(det_ind), 'omstep'))
        omega_step = parameters.detgeo(det_ind).omstep;
    elseif (isfield(parameters.labgeo, 'omstep'))
        omega_step = parameters.labgeo.omstep;
    else
        omega_step = 180 / parameters.acq(det_ind).nproj;
    end
end