function slice = gtVolumeGetSlice(vol, plane, slice_idx)
    switch (lower(plane))
        case 'xy'
            slice = vol(:, :, slice_idx, :);
        case 'yx'
            slice = permute(vol(:, :, slice_idx, :), [2 1 3 4]);
        case 'yz'
            slice = squeeze(vol(slice_idx, :, :, :));
        case 'zy'
            slice = permute(squeeze(vol(slice_idx, :, :, :)), [2 1 3 4]);
        case 'xz'
            slice = squeeze(vol(:, slice_idx, :, :));
        case 'zx'
            slice = permute(squeeze(vol(:, slice_idx, :, :)), [2 1 3 4]);
    end
end