'''
Created on Feb 4, 2013

@author: ben
'''

import os
import zipfile

class DCTMakeInstallBundle(object):

    install_bundle_files = ('dct_compile_matlab_functions.py', \
                            'dct_compile_mex_functions.py', \
                            'dct_io_xml.py', \
                            'dct_utils_git.py', \
                            'dct_utils_platform.py', \
                            'dct_matlab_invocation.py', \
                            'dct_batch.py', \
                            'dct_notification.py', \
                            'dct_setup.py')

    def __init__(self, *args, **kwargs):
        object.__init__(self, *args, **kwargs)

    def run(self, dct_dir, destFile = ""):
        currentDir = os.getcwd()
        os.chdir(os.path.join(dct_dir, "zUtil_Python"))

        if destFile is "":
            destFile = os.path.join(currentDir, "dct-install.zip")
        zfid = zipfile.ZipFile(destFile, mode = "w")
        try:
            for f in DCTMakeInstallBundle.install_bundle_files:
                zfid.write(f, os.path.join("dct-install", f))
        finally:
            zfid.close()

        print("Created file: %s" % destFile)
        os.chdir(currentDir)
